<?php

namespace Drupal\users_export;

use Drupal\Component\Utility\Html;
use Drupal\Core\StringTranslation\StringTranslationTrait;

/**
 * User Export Permissions Class.
 */
class UsersExportPermissions {

  use StringTranslationTrait;

  /**
   * Return the permissions defined by this module.
   *
   * @return array
   *   Array of export permssions.
   */
  public function permissions() {
    $perms = [];

    foreach (\Drupal::service('users_export.loft_data_grids')->getExporters(FALSE) as $info) {
      $perms['users_export:export as ' . $info['id']] = [
        'title' => $this->t('Export as @name', ['@name' => $info['name']]),
        'description' => Html::escape($info['description']),
      ];
    }

    return $perms;
  }

}
